void main() {
    // Set the tags of the three NPCs here.
    object oNPC1 = GetObjectByTag("dan13_vrook");
    object oNPC2 = GetObjectByTag("dan13_dorak");
    object oNPC3 = GetObjectByTag("dan13_zhar");

    float fDuration = 5.0;
    effect eEffect = EffectVisualEffect(3006);
    
    ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eEffect, OBJECT_SELF, fDuration); 
    
    // Check if all three NPCs are dead or removed.
    if ((!GetIsObjectValid(oNPC1) || GetIsDead(oNPC1))
        && (!GetIsObjectValid(oNPC2) || GetIsDead(oNPC2))
        && (!GetIsObjectValid(oNPC3) || GetIsDead(oNPC3)))
    {
        // Assign the tag of the NPC who dialog should start with here.

        
        object oTalker = GetObjectByTag("mr_invis");
        AssignCommand(oTalker, ClearAllActions());
        object oPC = GetFirstPC();
        DelayCommand(0.1, SetLightsaberPowered(oPC, 0, 0, 0));

        // Set the name of the DLG file to use here
SetGlobalFadeOut(0.0, 1.0);
        DelayCommand(2.0, AssignCommand(oTalker,         ActionStartConversation(GetFirstPC(), "opening2",         FALSE, CONVERSATION_TYPE_CINEMATIC, TRUE)));
    }
    
    // Standard AI OnDeath shouts and custom event signals.
    SpeakString("GEN_I_AM_DEAD", TALKVOLUME_SILENT_TALK);
    SpeakString("GEN_ATTACK_MY_TARGET", TALKVOLUME_SILENT_TALK);
    SignalEvent(OBJECT_SELF, EventUserDefined(1007));
}