void main() {
    // Set the tags of the three NPCs here.
    object oNPC1 = GetObjectByTag("guard1");
    object oNPC2 = GetObjectByTag("guard2");
    object oNPC3 = GetObjectByTag("guard3");
    object oArea = GetArea(OBJECT_SELF);

    float fDuration = 5.0;
    effect eEffect = EffectVisualEffect(3006);
    
    ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eEffect, OBJECT_SELF, fDuration); 
    
    // Check if all three NPCs are dead or removed.
    if ((!GetIsObjectValid(oNPC1) || GetIsDead(oNPC1))
        && (!GetIsObjectValid(oNPC2) || GetIsDead(oNPC2))
        && (!GetIsObjectValid(oNPC3) || GetIsDead(oNPC3)))
    {
        // Assign the tag of the NPC who dialog should start with here.

    // Index in ambientmusic.2da
    int nAmbientMusic = 0;
    int nBattleMusic = 0;
    
    MusicBattleStop(oArea);
    MusicBattleChange(oArea, nBattleMusic);
    // MusicBattlePlay(oArea);

    MusicBackgroundStop(oArea);

        

        object oPC = GetFirstPC();
        object oGuy = GetObjectByTag("vision_malak");
	object oGuy2 = GetObjectByTag("vision_channa");
        object oGuy3 = GetObjectByTag("mr_invis");
	object oDroid = GetObjectByTag("old_droid");
        DelayCommand(0.1, SetLightsaberPowered(oPC, 0, 0, 0));
        DelayCommand(0.1, SetLightsaberPowered(oGuy, 0, 0, 0));
	DelayCommand(0.1, SetLightsaberPowered(oGuy2, 0, 0, 0));
          

 



    }
    
    // Standard AI OnDeath shouts and custom event signals.
    SpeakString("GEN_I_AM_DEAD", TALKVOLUME_SILENT_TALK);
    SpeakString("GEN_ATTACK_MY_TARGET", TALKVOLUME_SILENT_TALK);
    SignalEvent(OBJECT_SELF, EventUserDefined(1007));
}