void main()
{
    // Enable user defined on dialogue end event.
    GN_SetSpawnInCondition( SW_FLAG_EVENT_ON_DIALOGUE_END );     //OPTIONAL BEHAVIOR - Fire User Defined Event 1011

    // Code taken from the default spawn script:

    //****** BEGIN DEFAULT GENERIC BEHAVIOR (DO NOT TOUCH) ******
    GN_SetDayNightPresence(AMBIENT_PRESENCE_ALWAYS_PRESENT);
    // This function although poorly named sets up the listening patterns and other
    // important data for the creature it should never be removed.
    GN_SetListeningPatterns();
    SetLocalNumber(OBJECT_SELF, 11, 6);// FAK - OEI default turret cooldown
    //****** END DEFAULT GENERIC BEHAVIOR (DO NOT TOUCH) ******

    //****** TREASURE PLACEMENT
    PlaceCritterTreasure(OBJECT_SELF, Random(4)-2);

    //****** TURN ON WALKPOINTS ******
    // The following line causes the object to follow waypoints
    GN_WalkWayPoints();


   // Added code for making him sit down:

   // Play sit animation.
   AssignCommand(OBJECT_SELF, ActionPlayAnimation(ANIMATION_LOOPING_SIT_CHAIR, 1.0, -1.0));

   // Set facing. Replace the numbers with whereever character should look.
   vector vFacing = Vector(270.0, 0.0, 0.0);
   AssignCommand( OBJECT_SELF, SetFacingPoint(vFacing));

   // Don't turn around to face player during conversation.
   SetLockOrientationInDialog(OBJECT_SELF, TRUE);
   SetOrientOnClick(OBJECT_SELF, FALSE);
}